<script>
	import SVG from "@/components/svg.svelte"

	import { isLight } from "@/stores/static"

	let payments = [ "visa", "mastercard", "bitcoin" ]
</script>

<div class="benefit" class:dark={!$isLight}>
	{#if $$slots.default}
		<slot />
	{:else}
		<div class="payments is-flex is-align-items-center is-justify-content-center">
			{#each payments as payment}
				<span class="icon is-flex"><SVG folder="payments" name={payment} /></span>
			{/each}
		</div>
	{/if}
</div>

<style lang="scss">
	.benefit {
		padding: 1.25rem 1rem;
		background: $gray;
		transition: background .2s ease-in-out;
		&.dark {
			background: #2E2E2E;
			:global(.about .title),
			:global(p) {
				color: $white!important;
			}
			:global(.about .content) {
				color: #D8D8D8;
			}
			:global(.about .icon svg path) {
				fill: $white;
			}
		}
		:global(.about svg path) {
			transition: fill .2s ease-in-out;
		}
		:global(.about p) {
			transition: color .2s ease-in-out;
		}
	}
	.payments {
		margin: 0 -.4375rem;
		.icon {
			width: 3.5rem;
			margin: 0 .4375rem;
			:global(svg) {
				height: 3.5rem;
			}
		}
	}
</style>